Subject: [OPS-AREA] RE: [MIB-DOCTORS] FW: I-D ACTION:draft-farrel-pce-manageability-r equirements-00.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 17 Oct 2006 14:39:11 +0200

Thanks for pointing this out.

Some comments.

- section 3.2. states:

   3.2 Information and Data Models

   This sub-section SHOULD describe the information and data models
   necessary for the protocol or the protocol extensions. This includes,
   but is not necessarily limited to, the MIB modules developed
   specificially for the protocol functions specified in the document.

  You might want to add a ptr (citation/reference) to RFC3544:

    3444 On the Difference between Information Models and Data Models. A.
         Pras, J. Schoenwaelder. January 2003. (Format: TXT=18596 bytes)
         (Status: INFORMATIONAL)

- sect 3.6

   For example, a new protocol that doubles the number of acitve,

  s/acitve/active/ !!??

- Section 4:

   4. Manageability Considerations

   This document defines the Manageability Considerations sections for
   inclusion in all Routing Area Internet-Drafts. As such, the whole
   document is relevant to manageability.

  while teh title and intro/abstract seem to limit it to PCE WG documents?
  I personally prefer to see this tested in a larger context than just 
  a single WG.

Bert
> -----Original Message-----
> From: Romascanu, Dan (Dan) [mailto:[email-masked]]
> Sent: Tuesday, October 17, 2006 09:11
> To: [email-masked]; [email-masked]; Ops-Nm (E-mail)
> Cc: [email-masked]
> Subject: [MIB-DOCTORS] FW: I-D
> ACTION:draft-farrel-pce-manageability-requirements-00.txt 
> 
> 
>  
> I believe that this document deserves reading and feedback from the
> Operations and Management community. 
> 
> Dan
> 
> 
>  
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Tuesday, October 17, 2006 12:50 AM
> To: [email-masked]
> Subject: I-D 
> ACTION:draft-farrel-pce-manageability-requirements-00.txt 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> 
> 
> 	Title		: Requirements for Manageability Sections in PCE
> Working Group Drafts
> 	Author(s)	: A. Farrel
> 	Filename	:
> draft-farrel-pce-manageability-requirements-00.txt
> 	Pages		: 8
> 	Date		: 2006-10-16
> 	
>    It has often been the case that manageability considerations have
>    been retrofitted to protocols. This is sub-optimal.
> 
>    Similarly, new protocols or protocol extensions are frequently
>    designed without due consideration of manageability requirements.
> 
>    This document specifies the requirement for all new Internet-Drafts
>    in the PCE Working Group to include a "Manageability 
> Considerations"
>    section, and gives guidance on what that section should contain.
> 
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-farrel-pce-manageabi
lity-requi
rements-00.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of 
the message. 
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the 
username "anonymous" and a password of your e-mail address. After 
logging in, type "cd internet-drafts" and then 
"get draft-farrel-pce-manageability-requirements-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE
/internet-drafts/draft-farrel-pce-manageability-requirements-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail
readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

_______________________________________________
OPS-AREA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ops-area

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 17 Oct 2006 16:39:56 +0100

Hi Bert,

Very man thanks for reading and commenting.

>  You might want to add a ptr (citation/reference) to RFC3544:

Yes, this is useful.

>  I personally prefer to see this tested in a larger context than just

Ooops. Typo.

The I-D started as a Routing Area I-D, but I could not get sufficient 
traction.
Therefore the intention is to limit the scope to the PCE working group 
(where I'm a co-chair) and where the WG has indicated that they are willing 
to work in this mode.

In essence, this serves as a process experiment without the so-called 
overhead of the formal process overhead. If (when :-) this is shown to be 
successful it can be held up as beacon to all other WGs and Areas.

Cheers,
Adrian